4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.LiteralElement

Implementation of XSLT literal result elements

    Copyright 2003 Fourthought, Inc. (USA).
    Detailed license and copyright information: http://4suite.org/COPYRIGHT
    Project home, documentation, distributions: http://4suite.org/

Classes: LiteralElement

## Classes

class LiteralElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)

  ### Methods

  fixupAliases(self, namespaceAliases)
    # This will be called by the stylesheet if it contains any # xsl:namespace-alias declarations
  instantiate(self, context, processor)
    Overrides: instantiate from class XsltElement

  ### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

  __init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

  ### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

  idle, isLastChild, isPseudoNode, pprint, prime, setup

  ### Members inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

  category, content, legalAttrs, validator

  ### Members inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

  attributes, baseUri, children, columnNumber, doesIdle, doesPrime, doesSetup, expandedName, importIndex, lineNumber, nodeName, parent, root